### Method

# Gio SubprocessLauncher unsetenv

since: 2.40

#### Declaration [src]

    void
    g_subprocess_launcher_unsetenv (
      GSubprocessLauncher* self,
      const gchar* variable
    )

#### Description [src]

Removes the environment variable `variable` from the environment of processes launched from this launcher.

On UNIX, the variable’s name can be an arbitrary byte string not containing ‘=’. On Windows, it should be in UTF-8.

Available since: 2.40

#### Parameters

`variable`

  Type: `const gchar*`

  The environment variable to unset, must not contain ‘=’.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.